%global momorel 1
Name:           libgee
Version: 0.20.1
Release: %{momorel}m%{?dist}
Summary:        GObject collection library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://live.gnome.org/Libgee
#VCS:           git:git://git.gnome.org/libgee
Source0: http://download.gnome.org/sources/libgee/0.20/libgee-%{version}.tar.xz
NoSource: 0

BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
# Bootstrap requirements
BuildRequires:  autoconf automake libtool
BuildRequires:  vala >= 0.23.2

%description
libgee is a collection library providing GObject-based interfaces and
classes for commonly used data structures.

* Traversable
  o Iterable
    + Collection
      - List
        * BidirList
      - Set
        * SortedSet
          o BidirSortedSet
      - MultiSet
      - Queue
        * Deque
    + Map
      - SortedMap
        * BidirSortedMap
  o Iterator
    + BidirIterator
      - BidirListIterator
    + ListIterator
      - BidirListIterator
* MultiMap

The ArrayList, ArrauQueue, ConcurrentLinkedList, ConcurrentSet, HashSet,
HashMap, HashMultiSet, HashMultiMap, LinkedList, PriorityQueue, TreeSet,
TreeMap, TreeMultiSet, and TreeMultiMap classes provide a reasonable sample
implementation of those interfaces. In addition, a set of abstract
classes are provided to ease the implementation of new collections.

Around that, the API provide means to retrieve read-only views,
efficient sort algorithms, simple, bi-directional or index-based mutable
iterators depending on the collection type.

Libgee is written in Vala and can be used like any GObject-based C
library. It's planned to provide bindings for further languages.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
(if ! test -x configure; then
    NOCONFIGURE=1 ./autogen.sh;
    CONFIGFLAGS=--enable-gtk-doc;
 fi;
 %configure --disable-static $CONFIGFLAGS
)
%make 


%check
make check


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING MAINTAINERS NEWS README
%{_libdir}/*.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Gee-0.8.typelib

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/gee-0.8.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Gee-0.8.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gee-0.8.vapi


%changelog
* Fri Apr 06 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.20.1-1m)
- update to 0.20.1

* Tue Mar 21 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.20.0-1m)
- update to 0.20.0

* Sun Oct 19 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.16.1-1m)
- update to 0.16.1

* Sat Sep 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.16.0-2m)
- update

* Thu Mar 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.14.0-1m)
- update to 0.14.0

* Sun Feb 23 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.13.90-1m)
- update to 0.13.90

* Wed Feb 19 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.13.5.1-1m)
- update to 0.13.5.1

* Mon Dec 30 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.13.4-1m)
- update to 0.13.4

* Mon Jul  8 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.11.0-1m)
- update to 0.11.0

* Tue Jun 25 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.10.1-1m)
- update to 0.10.1

* Mon Oct 22 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.6-1m)
- update to 0.6.6

* Thu Jun 28 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.4-2m)
- rebuild for glib 2.33.2

* Tue Jan 24 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.4-1m)
- update to 0.6.4

* Sun Nov 13 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.3-1m)
- update to 0.6.3

* Sat Sep 17 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.2-1m)
- update to 0.6.2

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.1-2m)
- rebuild for new GCC 4.6

* Wed Feb  2 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.1-1m)
- update to 0.6.1

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.0-2m)
- rebuild for new GCC 4.5

* Wed Sep 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-1m)
- update to 0.6.0

* Mon Sep 20 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-1m)
- update to 0.5.3
- comment out gir for (need gobject-introspection-0.9)

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-3m)
- full rebuild for mo7 release

* Sun Jun 20 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.1-2m)
- vapi and gir to devel

* Wed Jun 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.1-1m)
- update to 0.5.1

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-3m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Oct  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-1m)
- initial build
-- disable doc (need valadoc)
